Start product enrichment
curl --request POST \
--url https://wisepim.com/api/public/v1/enrichments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_ids": [
123
]
}
'import requests
url = "https://wisepim.com/api/public/v1/enrichments"
payload = { "product_ids": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_ids: [123]})
};
fetch('https://wisepim.com/api/public/v1/enrichments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"task_id": "<string>",
"status": "<string>",
"total_items": 123,
"estimated_credits": 123,
"deduplicated": false
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Start product enrichment
POST /enrichments. Required scopes: products:write, enrichment:execute.
POST
/
api
/
public
/
v1
/
enrichments
Start product enrichment
curl --request POST \
--url https://wisepim.com/api/public/v1/enrichments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_ids": [
123
]
}
'import requests
url = "https://wisepim.com/api/public/v1/enrichments"
payload = { "product_ids": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_ids: [123]})
};
fetch('https://wisepim.com/api/public/v1/enrichments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"task_id": "<string>",
"status": "<string>",
"total_items": 123,
"estimated_credits": 123,
"deduplicated": false
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.
Required string length:
1 - 128Pattern:
^[!-~]+$Body
application/json
Required array length:
1 - 1000 elementsRequired range:
x <= 9223372036854776000Available options:
description, short_description, titles, seo_meta, product_attributes, internal_linking, search_intent, image_alt_text Required range:
x > 0Required range:
x >= 0Required range:
0 <= x <= 1000Required range:
0 <= x <= 1000
